{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\ndeclare subroutine end_dialog\r\n\r\nTarray = .field_text->array\r\nFields = Tarray<1>\r\nText   = Tarray<2>\r\nswap @vm:@vm with '' in Fields\r\nif Fields[-1,1] = @vm then Fields[-1,1] = ''\r\nswap @vm:@vm with '' in Text\r\nif Text[-1,1] = @vm then Text[-1,1] = ''\r\nconvert @vm to '^' in Fields\r\nconvert @vm to '^' in Text\r\nend_dialog( @window, 'SAVE':'*':Fields:'~':Text )\r\nreturn 0\r\n"
        }
    }
}